import React from "react";
import clsx from "clsx";
import useBaseUrl from "@docusaurus/useBaseUrl";
import Tabs from "@theme/Tabs";
import TabItem from "@theme/TabItem";

/* eslint-disable react/prop-types */
export default function Features(props) {
  return (
    <div>
      <Tabs className="tabs-element">
        {props.list.map((em, idx) => (
          <TabItem key={idx} className={clsx("text--center")} value={em.title} label={em.title}>
            <div className="tab-row-display">
              <img src={useBaseUrl("img/components/HomepageFeatures/" + em.svg)} alt={em.alt} className="tab-images"/>
              <p className="tab-text-display"> {em.description} </p>
            </div>
          </TabItem>
        ))}
      </Tabs>
    </div>
  );

}
