import React from "react";
import Results from "./Results";
import environment from "@site/static/img/components/HomepageResults/environment.png";
import advance from "@site/static/img/components/HomepageResults/advance.png";
import conversation from "@site/static/img/components/HomepageResults/conversation.png";

const ResultsList = [
  {
    title: "Alliez compétitivité et respect de l’environnement",
    description: (
      <>
        Froggit est pensé pour ceux qui regardent vers l&apos;avenir et choisissent des solutions robustes, responsables, qui durent dans le temps.
      </>
    ),
    img: environment,
    alt: "Dessin d'un espace naturel"
  },     
  {
    title: "Intégrez facilement les pratiques DevOps",  
    description: (
      <>
        Répondez plus vite aux besoins de vos clients avec notre forge logicielle agile pensée par des techs pour les techs.
      </>
    ),
    img: advance,
    alt: "Dessin d'une flèche croissante dans un engrenage"

  },
  {
    title: "Bénéficiez d’un service de proximité",
    description: (
      <>
        Froggit c&apos;est aussi un service client en français et une équipe qui améliore régulièrement l&apos;offre en fonction de vos retours !
      </>
    ),
    img: conversation,
    alt: "Dessin de deux personne ayant une conversation"

  },
];

export default function HomepageResults() {
  return (
    <div className="homepage-section">
      <section className="sections container" id="results">      
        <h2 className="text--center">Obtenez de meilleurs résultats, <br/>et pas seulement au niveau du code !</h2>
        <div>
          {ResultsList.map((props, idx) => (
            <Results key={idx} {...props} />
          ))}
        </div>
      </section>
    </div>
  );
}
