import React from "react";
import Layout from "@theme/Layout"; 
import useDocusaurusContext from "@docusaurus/useDocusaurusContext";
import styles from "./index.module.css";
import Link from "@docusaurus/Link";
import HomepageResults from "@site/src/components/Results/HomepageResults";
import HomepagePromises from "@site/src/components/Promises/HomepagePromises";
import HomepageFeatures from "@site/src/components/Features/HomepageFeatures";
import CarouselLibre from "@site/src/components/Carousel/CarouselLibre";
import { FaYoutube } from "react-icons/fa";

function HomepageHeader(){
  return (
    <header className={styles.heroBanner}>
      <div className="sections container">
        <h1 className="hero-title">Simplifiez-vous le code... <br />et faites plaisir à vos techs !</h1>
        <p className="hero-subtitle">Collaborez autour du code sur la première plateforme intégrée DevOps <i>Made in France</i>. Avec Froggit, sécurisez vos données, améliorez vos performances et protégez enfin la planète.</p>
        <div className="button-frame">
          <a className="button button--beta button--lg" href="https://www.youtube.com/watch?v=TvWT3URosOk" target="_blank" rel="noreferrer">
            <FaYoutube/> Voir le <br/> webinaire
          </a>
          <Link className="button button--beta button--lg" to="/tarifs">
          Je m’abonne sans engagement<br /><div className="btn-little-txt">30 jours satisfaits ou remboursés !</div>
          </Link>
        </div>
      </div>
    </header>      
  );
}

export default function Home() {
  const { siteConfig } = useDocusaurusContext();
  return (
    
    <Layout
      title={siteConfig.themeConfig.navbar.title}
      description={siteConfig.tagline}
    >
      <HomepageHeader />
      <main>
        <HomepagePromises />
        <HomepageFeatures />
        <CarouselLibre/> 
        <HomepageResults />
      </main>
    </Layout>
  );
}
